%define ver      2.1.va.1
%define rel      1
%define prefix   /usr
%define radarch  RedHat_Linux_6.0

Summary: Livingston (now Lucent) radius server
Name: radiusd
Version: %ver
Release: %rel
Copyright: BSD Type
URL: http://www.livingston.com/tech/docs/radius/RADIUSIX.html
Packager: Horms <horms@vergenet.net>
Group: Networking/Daemons
Source0: ftp://ftp.livingston.com/pub/le/radius/radius21.tar.Z
Source1: radius-2.1-pam_service
Patch0: radius-init.patch
Patch1: radius-2.1.va.1.patch.gz
Patch2: radius-2.1-pam.patch
BuildRoot: /var/tmp/radius-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc

%description
Radius
Livingston (now Lucent) is the premiere developer of the radius protocol
and also makes this radius daemon which is a full implementation of it. Its
purpose is to talk with Livingston Portmaster terminal servers (among
others, as radius is now a popular protocol that is implemented on all
terminal servers). It handles user authentication and accounting from
terminals servers. This is the first major BSD-licensed release in four
years from Lucent.


%prep
%setup -n radius
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
pushd src
CFLAGS="${RPM_OPT_FLAGS}" make EXT=%radarch all
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/{etc/{,rc.d/init.d,raddb/menus,pam.d},%prefix/{sbin,bin}}

install -m755 ${RPM_SOURCE_DIR}/radius-2.1-pam_service \
  ${RPM_BUILD_ROOT}/etc/pam.d/radiusd

install -m644 ${RPM_BUILD_DIR}/radius/etc/rc.d/init.d/radiusd \
  ${RPM_BUILD_ROOT}/etc/rc.d/init.d/radiusd

install -m644 ${RPM_BUILD_DIR}/radius/raddb/clients \
  ${RPM_BUILD_ROOT}/etc/raddb/clients
install -m644 ${RPM_BUILD_DIR}/radius/raddb/config.aeg.example \
  ${RPM_BUILD_ROOT}/etc/raddb/config.aeg.example
install -m644 ${RPM_BUILD_DIR}/radius/raddb/dictionary \
  ${RPM_BUILD_ROOT}/etc/raddb/dictionary
install -m644 ${RPM_BUILD_DIR}/radius/raddb/proxy \
  ${RPM_BUILD_ROOT}/etc/raddb/proxy
install -m644 ${RPM_BUILD_DIR}/radius/raddb/users \
  ${RPM_BUILD_ROOT}/etc/raddb/users

install -m644 ${RPM_BUILD_DIR}/radius/raddb/menus/menu1 \
  ${RPM_BUILD_ROOT}/etc/raddb/menus/menu1
install -m644 ${RPM_BUILD_DIR}/radius/raddb/menus/menu2 \
  ${RPM_BUILD_ROOT}/etc/raddb/menus/menu2

install -m755 ${RPM_BUILD_DIR}/radius/src/%radarch/builddbm \
  ${RPM_BUILD_ROOT}/%prefix/bin/builddbm
strip ${RPM_BUILD_ROOT}/%prefix/bin/builddbm
install -m755 ${RPM_BUILD_DIR}/radius/src/%radarch/dbmkeys \
  ${RPM_BUILD_ROOT}/%prefix/bin/dbmkeys
strip ${RPM_BUILD_ROOT}/%prefix/bin/dbmkeys
install -m755 ${RPM_BUILD_DIR}/radius/src/%radarch/dbmrec \
  ${RPM_BUILD_ROOT}/%prefix/bin/dbmrec
strip ${RPM_BUILD_ROOT}/%prefix/bin/dbmrec
install -m755 ${RPM_BUILD_DIR}/radius/src/%radarch/md5test \
  ${RPM_BUILD_ROOT}/%prefix/bin/md5test
strip ${RPM_BUILD_ROOT}/%prefix/bin/md5test
install -m755 ${RPM_BUILD_DIR}/radius/src/%radarch/radiusd \
  ${RPM_BUILD_ROOT}/%prefix/sbin/radiusd
strip ${RPM_BUILD_ROOT}/%prefix/sbin/radiusd
install -m755 ${RPM_BUILD_DIR}/radius/src/%radarch/radtest \
  ${RPM_BUILD_ROOT}/%prefix/bin/radtest
strip ${RPM_BUILD_ROOT}/%prefix/bin/radtest
install -m755 ${RPM_BUILD_DIR}/radius/src/%radarch/testuser \
  ${RPM_BUILD_ROOT}/%prefix/bin/testuser
strip ${RPM_BUILD_ROOT}/%prefix/bin/testuser

cp -av ${RPM_BUILD_DIR}/radius/raddb ${RPM_BUILD_ROOT}/etc/raddb

%clean
rm -rf $RPM_BUILD_DIR/radius-%{ver}
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add radiusd

%postun

%preun
/sbin/chkconfig --del radiusd

%files
%defattr(-,root,root)
%attr(-, root, root) %doc LICENSE README
%attr(755,root,root) %{prefix}/bin/builddbm
%attr(755,root,root) %{prefix}/bin/dbmkeys
%attr(755,root,root) %{prefix}/bin/dbmrec
%attr(755,root,root) %{prefix}/bin/md5test
%attr(755,root,root) %{prefix}/sbin/radiusd
%attr(755,root,root) %{prefix}/bin/radtest
%attr(755,root,root) %{prefix}/bin/testuser
%attr(755,root,root) /etc/rc.d/init.d/radiusd
%attr(-, root, root) %config /etc/raddb/clients
%attr(-, root, root) %config /etc/raddb/config.aeg.example
%attr(-, root, root) %config /etc/raddb/dictionary
%attr(-, root, root) %config /etc/raddb/proxy
%attr(-, root, root) %config /etc/raddb/users
%attr(-, root, root) %config /etc/raddb/menus/menu1
%attr(-, root, root) %config /etc/raddb/menus/menu2
%attr(-, root, root) %config /etc/pam.d/radiusd

%changelog
* Fri Jul  5 2001 Horms <horms@vergenet.net>
- Patch to address security concerns relating to buffer overflow found
  by ISS.
- Include dbmkeys, dbmrec, md5test, radtest and testuser binaries.

* Sat Oct 28 2000 Horms <horms@vergenet.net>
- Patched to use PAM for local authentication of if
  UNIX authentication is selected

* Mon Dec 27 1999 Horms <horms@vergenet.net>
- created for version 2.1
